Run Walmart Product Reviews
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-walmart-product-reviews \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product": "15545702811",
"max_items": 10
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-walmart-product-reviews"
payload = {
"product": "15545702811",
"max_items": 10
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({product: '15545702811', max_items: 10})
};
fetch('https://api.neuralverge.ai/functions/v1/run-walmart-product-reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "walmart_product_reviews",
"product": "10774352381",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Walmart product reviews\n\n- **Product:** 10774352381\n- **Starting page:** 1\n- **Max items:** 2\n- **Records returned:** 2\n- **Total reviews available:** 247\n- **Response size:** 295.7 KB",
"machine": {
"total_items": 2,
"total_available": 247,
"reviews": [
{
"id": "414700707",
"rating": 5,
"text": "Short answer: JUST BUY IT!\n\nI have my windows laptop and my iPad next to each other and connected to this mouse via Bluetooth 1-laptop and Bluetooth 2-iPad and I'm able to control both (one at a time) with only one click on the left side of this mouse. And I still have the option to connect one more device with the little usb thingy. I love this side button feature, other mouses have this feature",
"title": "switch button on the left side baby",
"author": "Victor",
"created_at": "1/29/2026",
"is_verified": true,
"is_recommended": null,
"helpful_count": 0,
"unhelpful_count": 0,
"images": [],
"features": [],
"client_responses": [
{
"date": null,
"department": "Logitech",
"logoImage": "https://s3.amazonaws.com/stratos-logos/logos/Logitech.png",
"name": null,
"response": "\nWe’re thrilled to know you’re satisfied with your Logitech product. Your input helps us shape better experiences for everyone. Thanks for your continued support!\n "
}
]
},
{
"id": "402606035",
"rating": 5,
"text": "I love this mouse. As good as the $75 Logitech's. Only thing I didn't like is it was not the Logitech Bolt that could have connected with the dongle on my keyboard or bluetooth. But it is not a deal breaker and definitely doesn't take away from the mouse at all. It is quick, precise and you can control every aspect of this mouse. click speed, pointer speed, buttons, it has a handy button to show ",
"title": "Outstanding Product for the Price",
"author": "Chris",
"created_at": "10/28/2025",
"is_verified": true,
"is_recommended": null,
"helpful_count": 0,
"unhelpful_count": 0,
"images": [],
"features": [],
"client_responses": [
{
"date": null,
"department": "Logitech",
"logoImage": "https://s3.amazonaws.com/stratos-logos/logos/Logitech.png",
"name": null,
"response": "\nThank you for sharing your positive experience and detailed feedback about the Logitech Precision Pro Wireless Mouse! We appreciate you taking the time to highlight its strengths and provide constructive input.\n "
}
]
}
],
"response_bytes": 302807
},
"total_points": 2
}E-commerce & Marketplaces
Run Walmart Product Reviews
Returns customer reviews for a Walmart product by item ID or URL. List endpoint: 1 point per returned record.
POST
/
functions
/
v1
/
run-walmart-product-reviews
Run Walmart Product Reviews
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.